Get job
curl --request GET \
--url https://aigenstudio.app/api/v1/jobs/{jobId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aigenstudio.app/api/v1/jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aigenstudio.app/api/v1/jobs/{jobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"job": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api": "image_editing",
"status": "queued",
"sandbox": true,
"total_results": 123,
"credits_reserved": 123,
"created_at": "2023-11-07T05:31:56Z",
"completed_results": 123,
"failed_results": 123,
"updated_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
},
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"status": "queued",
"source_url": "<string>",
"result_url": "<string>",
"thumbnail_url": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"credits_reserved": 123,
"credits_used": 123
}
],
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>"
}Jobs
Get job
Read one job and its result statuses.
GET
https://aigenstudio.app/api/v1
/
jobs
/
{jobId}
Get job
curl --request GET \
--url https://aigenstudio.app/api/v1/jobs/{jobId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aigenstudio.app/api/v1/jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aigenstudio.app/api/v1/jobs/{jobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"job": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api": "image_editing",
"status": "queued",
"sandbox": true,
"total_results": 123,
"credits_reserved": 123,
"created_at": "2023-11-07T05:31:56Z",
"completed_results": 123,
"failed_results": 123,
"updated_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
},
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"status": "queued",
"source_url": "<string>",
"result_url": "<string>",
"thumbnail_url": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"credits_reserved": 123,
"credits_used": 123
}
],
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional client correlation id. AI Gen Studio also returns request_id.
Maximum string length:
160